<!--
	=====================
	Partials/ResultRow.html
-->

<div xmlns:f="http://xsd.helhum.io/ns/typo3/cms-fluid/master/ViewHelpers"
     class="result-list-item result-list-item-type-{resultrow.type}">
    <ul class="o-gridblock--1column">
		<li class="c-teaser-list__item" xmlns:f="http://xsd.helhum.io/ns/typo3/cms-fluid/master/ViewHelpers">
		    <div class="o-media c-teaser c-kesearch-result">
		        <f:render
		            section="typeIconOrPreviewImage"
		            arguments="{icon: resultrow.typeIconPath, filePreviewId: resultrow.filePreviewId, treatIdAsReference:resultrow.treatIdAsReference, iconConf: conf.showTypeIcon}"
		        />
		    	<div class="o-media__body c-kesearch-result__body ">
		            <h3 class="c-teaser__title">
                        <f:link.page pageUid="{resultrow.orig_uid}" title="{resultrow.title -> f:format.stripTags()}"
                                     class="o-cms-content__header-link">
                            {resultrow.title  -> f:format.stripTags()}
                        </f:link.page>
		            </h3>

		            <p>
		                <f:format.raw>
		                    <f:format.crop maxCharacters="330" respectWordBoundaries="false">
		                        {resultrow.teaser}
		                    </f:format.crop>
		                </f:format.raw>

		                <br/>
                        <a href="{resultrow.url}" title="{resultrow.title -> f:format.stripTags()}"
                                     class="c-teaser__link">
                            <f:translate
                                key="LLL:EXT:drk_template2016/Resources/Private/Language/locallang.xlf:read_more"/>
                        </a>
		            </p>
		        </div>
		    </div>
		</li>


		<f:section name="typeIconOrPreviewImage">
	        <div class="c-kesearch-result__imageholder">
	            <f:if condition="{filePreviewId}">
	            	<f:then>
	                	<f:image src="{filePreviewId}" treatIdAsReference="{treatIdAsReference}" />
	                </f:then>
	                <f:else>
	                	<div class="c-teaser__img c-teaser__img--left o-media__img"></div>
	                </f:else>
	            </f:if>
	        </div>

		</f:section>
	</ul>
</div>
